### File

`packages/ecl/components/ecl-spotlight/ecl-spotlight.component.ts`

### Description

Component representing a spotlight, based on the ECL design system. Serves as a container for structured content such as titles, images and links.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `section[eclSpotlight]`
templateUrl | `./ecl-spotlight.component.html`

### Index

###### Properties
spotlightLink
###### Methods
getCssClasses
###### Inputs
copyright fontSize hasAnchor header spotlightTitle class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

copyright
Type : `string`
Default value : `''`

fontSize
Type : `"m" | "l"`
Default value : `'l'`

hasAnchor
Default value : `false, { transform: booleanAttribute }`

header
Type : `string`

spotlightTitle
Type : `string`
Default value : `''`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Binds the component's root CSS classes. Adds the `ecl-content-block` class by default.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

spotlightLink
Type : `unknown`
Default value : `contentChild(EclSpotlightLinkComponent)`

### Accessors

cssClasses
get `cssClasses()`
Binds the component's root CSS classes. Adds the `ecl-content-block` class by default. Returns : `string`

# results matching ""

# No results matching ""